org.apache.pdfbox.pdmodel.interactive.measurement

## Class PDRectlinearMeasureDictionary

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.measurement.PDMeasureDictionary
  - - org.apache.pdfbox.pdmodel.interactive.measurement.PDRectlinearMeasureDictionary

All Implemented Interfaces:
  COSObjectable

    public class PDRectlinearMeasureDictionary
    extends PDMeasureDictionary

This class represents a rectlinear measure dictionary.

### Field Summary

Fields
`static String` `SUBTYPE` The subtype of the rectlinear measure dictionary.

### Fields inherited from class org.apache.pdfbox.pdmodel.interactive.measurement.PDMeasureDictionary

`TYPE`

### Constructor Summary

Constructors
Constructor and Description
`PDRectlinearMeasureDictionary()` Constructor.
`PDRectlinearMeasureDictionary(COSDictionary dictionary)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`PDNumberFormatDictionary[]` `getAngles()` This will return the angles.
`PDNumberFormatDictionary[]` `getAreas()` This will return the areas.
`PDNumberFormatDictionary[]` `getChangeXs()` This will return the changes along the x-axis.
`PDNumberFormatDictionary[]` `getChangeYs()` This will return the changes along the y-axis.
`float[]` `getCoordSystemOrigin()` This will return the origin of the coordinate system.
`float` `getCYX()` This will return the CYX factor.
`PDNumberFormatDictionary[]` `getDistances()` This will return the distances.
`PDNumberFormatDictionary[]` `getLineSloaps()` This will return the sloaps of a line.
`String` `getScaleRatio()` This will return the scale ration.
`void` `setAngles(PDNumberFormatDictionary[] angles)` This will set the angles.
`void` `setAreas(PDNumberFormatDictionary[] areas)` This will set the areas.
`void` `setChangeXs(PDNumberFormatDictionary[] changeXs)` This will set the changes along the x-axis.
`void` `setChangeYs(PDNumberFormatDictionary[] changeYs)` This will set the changes along the y-axis.
`void` `setCoordSystemOrigin(float[] coordSystemOrigin)` This will set the origin of the coordinate system.
`void` `setCYX(float cyx)` This will set the CYX factor.
`void` `setDistances(PDNumberFormatDictionary[] distances)` This will set the distances.
`void` `setLineSloaps(PDNumberFormatDictionary[] lineSloaps)` This will set the sloaps of a line.
`void` `setScaleRatio(String scaleRatio)` This will set the scale ration.

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.measurement.PDMeasureDictionary

`getCOSObject, getSubtype, getType, setSubtype`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SUBTYPE

    public static final String SUBTYPE

The subtype of the rectlinear measure dictionary.

See Also:
  Constant Field Values

### Constructor Detail

#### PDRectlinearMeasureDictionary

    public PDRectlinearMeasureDictionary()

Constructor.

#### PDRectlinearMeasureDictionary

    public PDRectlinearMeasureDictionary(COSDictionary dictionary)

Constructor.

Parameters:
  `dictionary` - the corresponding dictionary

### Method Detail

#### getScaleRatio

    public String getScaleRatio()

This will return the scale ration.

Returns:
  the scale ratio.

#### setScaleRatio

    public void setScaleRatio(String scaleRatio)

This will set the scale ration.

Parameters:
  `scaleRatio` - the scale ratio.

#### getChangeXs

    public PDNumberFormatDictionary[] getChangeXs()

This will return the changes along the x-axis.

Returns:
  changes along the x-axis

#### setChangeXs

    public void setChangeXs(PDNumberFormatDictionary[] changeXs)

This will set the changes along the x-axis.

Parameters:
  `changeXs` - changes along the x-axis

#### getChangeYs

    public PDNumberFormatDictionary[] getChangeYs()

This will return the changes along the y-axis.

Returns:
  changes along the y-axis

#### setChangeYs

    public void setChangeYs(PDNumberFormatDictionary[] changeYs)

This will set the changes along the y-axis.

Parameters:
  `changeYs` - changes along the y-axis

#### getDistances

    public PDNumberFormatDictionary[] getDistances()

This will return the distances.

Returns:
  distances

#### setDistances

    public void setDistances(PDNumberFormatDictionary[] distances)

This will set the distances.

Parameters:
  `distances` - distances

#### getAreas

    public PDNumberFormatDictionary[] getAreas()

This will return the areas.

Returns:
  areas

#### setAreas

    public void setAreas(PDNumberFormatDictionary[] areas)

This will set the areas.

Parameters:
  `areas` - areas

#### getAngles

    public PDNumberFormatDictionary[] getAngles()

This will return the angles.

Returns:
  angles

#### setAngles

    public void setAngles(PDNumberFormatDictionary[] angles)

This will set the angles.

Parameters:
  `angles` - angles

#### getLineSloaps

    public PDNumberFormatDictionary[] getLineSloaps()

This will return the sloaps of a line.

Returns:
  the sloaps of a line

#### setLineSloaps

    public void setLineSloaps(PDNumberFormatDictionary[] lineSloaps)

This will set the sloaps of a line.

Parameters:
  `lineSloaps` - the sloaps of a line

#### getCoordSystemOrigin

    public float[] getCoordSystemOrigin()

This will return the origin of the coordinate system.

Returns:
  the origin

#### setCoordSystemOrigin

    public void setCoordSystemOrigin(float[] coordSystemOrigin)

This will set the origin of the coordinate system.

Parameters:
  `coordSystemOrigin` - the origin

#### getCYX

    public float getCYX()

This will return the CYX factor.

Returns:
  CYX factor

#### setCYX

    public void setCYX(float cyx)

This will set the CYX factor.

Parameters:
  `cyx` - CYX factor